<?php
require_once(dirname(__FILE__)."/config.php");

if($step != 2)
{
	$typeid = $cid;
	if($typeid <1)
	{
		ShowMsg("栏目错误!","-1");
		exit();
	}
	require_once(dirname(__FILE__)."/inc/inc_catalog_options.php");
	$channelid="-2";
	$dsql = new DedeSql(false);
	//读取归档信息
	//------------------------------

	$arcQuery = "Select #@__arctype.typename, #@__arctype.smalltypes
	From #@__arctype where ID='$typeid'";

	$typeinfo = $dsql->GetOne($arcQuery);
	//print_r($typeinfo);exit;
	$smalltypes = '';
	if($typeinfo['smalltypes'] != '')
	{
		$sql = "select * from #@__smalltypes where id in($typeinfo[smalltypes]);";
		$dsql->SetQuery($sql);
		$dsql->Execute();
		while($smalltype = $dsql->GetArray())
		{
			$smalltypes .= '<option value="'.$smalltype['id'].'">'.$smalltype['name']."</option>\n";
		}
	}


	//////////////////////地区数据处理s/////////////////////////////
		$sql = "select * from #@__area";
		$dsql->SetQuery($sql);
		$dsql->Execute();
		$toparea = $subarea = array();
		while($sector = $dsql->GetArray())
		{
			if($sector['reid'] == 0)
			{
				$toparea[] = $sector;
			}else
			{
				$subarea[] = $sector;
			}
		}
		$areacache = "toparea=new Array();\n\n";
		$areaidname = $areaid2name = '-不限-';
		foreach($toparea as $topkey => $topsector)
		{
			$areacache .= "toparea[$topkey]=".'"'.$topsector['id'].'~'.$topsector['name'].'";'."\n";
			$areacache .= "\t".'subareas'.$topsector['id'].'=new Array();'."\n";
			$arrCount = 0;
			foreach($subarea as $subkey => $subsector)
			{
				if($subsector['reid'] == $topsector['id'])
				{
					$areacache .= "\t".'subareas'.$topsector['id'].'['.$arrCount.']="'.$subsector['id'].'~'.$subsector['name'].'";'."\n";
					$arrCount++;
				}

			}
		}
		//echo $areacache;exit;
	//////////////////////地区数据处理e/////////////////////////////

	//////////////////////行业数据处理s/////////////////////////////
		$sql = "select * from #@__sectors";
		$dsql->SetQuery($sql);
		$dsql->Execute();
		$topsectors = $subsectors = array();
		while($sector = $dsql->GetArray())
		{
			if($sector['reid'] == 0)
			{
				$topsectors[] = $sector;
			}else
			{
				$subsectors[] = $sector;
			}
		}
		$sectorcache = "topsectors=new Array();\n\n";
		$sectoridname = $sectorid2name = '-不限-';
		foreach($topsectors as $topkey => $topsector)
		{
			$sectorcache .= "topsectors[$topkey]=".'"'.$topsector['id'].'~'.$topsector['name'].'";'."\n";
			$sectorcache .= "\t".'subsectors'.$topsector['id'].'=new Array();'."\n";
			$arrCount = 0;
			foreach($subsectors as $subkey => $subsector)
			{
				if($subsector['reid'] == $topsector['id'])
				{
					$sectorcache .= "\t".'subsectors'.$topsector['id'].'['.$arrCount.']="'.$subsector['id'].'~'.$subsector['name'].'";'."\n";
					$arrCount++;
				}

			}
		}
		//echo $sectorcache;exit;
	//////////////////////行业数据处理e/////////////////////////////

	require_once(dirname(__FILE__)."/templets/info_add.htm");

}else
{
	require_once(dirname(__FILE__)."/../include/inc_photograph.php");
	require_once(dirname(__FILE__)."/../include/pub_oxwindow.php");
	require_once(dirname(__FILE__)."/inc/inc_archives_functions.php");

	if(!isset($iscommend)) $iscommend = 0;
	if(!isset($isbold)) $isbold = 0;
	if(!isset($remote)) $remote = 0;
	if(!isset($dellink)) $dellink = 0;
	if(!isset($autolitpic)) $autolitpic = 0;
	if(!isset($smalltypeid)) $smalltypeid = 0;
	if(!isset($areaid)) $areaid = 0;
	if(!isset($areaid2)) $areaid2 = 0;
	if(!isset($sectorid)) $sectorid = 0;
	if(!isset($sectorid2)) $sectorid2 = 0;

	if($typeid==0){
		ShowMsg("请指定文档的栏目！","-1");
		exit();
	}
	if(empty($channelid)){
		ShowMsg("文档为非指定的类型，请检查你发布内容的表单是否合法！","-1");
		exit();
	}
	if(!CheckChannel($typeid,$channelid) || !CheckChannel($typeid2,$channelid)){
		ShowMsg("你所选择的栏目与当前模型不相符，请选择白色的选项！","-1");
		exit();
	}
	if(!TestPurview('a_Edit')) {
		if(TestPurview('a_AccEdit')) CheckCatalog($typeid,"对不起，你没有操作栏目 {$typeid} 的文档权限！");
		else CheckArcAdmin($ID,$cuserLogin->getUserID());
	}

	//对保存的内容进行处理
	//--------------------------------

	$senddate = mytime();
	$endtime = $senddate + 3600 * 24 * $endtime;
	$pubdate = GetMkTime($pubdate);
	$sortrank = AddDay($senddate,$sortup);
	$typeid2 = 0;
	$iscommend = $iscommend + $isbold;
	$title = cn_substr($title,80);
	$adminID = $cuserLogin->userID;

	if($keywords!="") $keywords = trim(cn_substr($keywords,60))." ";

	//处理上传的缩略图
	if(empty($ddisremote)) $ddisremote = 0;
	$litpic = GetDDImage('none',$picname,$ddisremote);

	$body = stripslashes($body);

	//把内容中远程的图片资源本地化
	//------------------------------------
	if($isUrlOpen && $remote==1){
		$body = GetCurContent($body);
	}


	//自动获取缩略图
	if($autolitpic==1 && empty($litpic)){
	  $cfg_medias_dir = str_replace('/','\/',$cfg_medias_dir);
	  $picname = preg_replace("/.+?".$cfg_medias_dir."(.*)( |\"|').*$/isU",$cfg_medias_dir."$1",$body);
	  if(eregi("\.(jpg|gif|png)$",$picname)){
	  	 if(ereg("_lit\.",$picname)) $litpic = $picname;
	  	 else $litpic = GetDDImage('ddfirst',$picname,0);
	  }
	}

	$message = addslashes($body);



	//更新数据库的SQL语句
	//----------------------------------
	$inQuery = "insert into `#@__infos` (`typeid`, `smalltypeid`, `areaid`,
		`areaid2`, `sectorid`,`sectorid2`, `endtime`, `typeid2`, sortrank,
		iscommend, channel, arcrank, click, money, `title`, shorttitle, color,
		writer, source, litpic, pubdate, senddate, arcatt, adminID,
		memberID, description, keywords, templet, lastpost, postnum, redirecturl,
		mtype, userip, locklikeid, likeid, digg, diggtime)
		values('$typeid', '$smalltypeid', '$areaid',
		'$areaid2', '$sectorid', '$sectorid2', '$endtime', '$typeid2', '$sortrank',
		'$iscommend', '$channelid', '0', '0', '0', '$title', '', '',
		'', '', '$litpic', '$pubdate', '$senddate', '$arcatt', '$adminID',
		'0', '$description', '$keywords', '', '0', '0', '',
		'0', '$userip', '0', '', '0', '0');
	";
//echo $inQuery;exit;
	$dsql = new DedeSql();
	$dsql->SetQuery($inQuery);
	if(!$dsql->ExecuteNoneQuery()){
		$dsql->Close();
		ShowMsg("更新数据库infos表时出错，请检查！","-1");
		exit();
	}
	$infoid = $dsql->GetLastID();

	$sql = "insert into #@__addoninfos(aid, typeid, message, contact, phone, fax,
		email, qq, msn, address)
		values('$infoid', '$typeid', '$message', '$contact', '$phone', '$fax',
		'$email', '$qq', '$msn', '$address');
	";
	//echo $sql;exit;
	$dsql->SetQuery($sql);
	if(!$dsql->ExecuteNoneQuery()){
		$dsql->Close();
		ShowMsg("更新数据库addoninfos表时出错，请检查！","-1");
		exit();
	}

	$dsql->Close();


	//---------------------------------
	//返回成功信息
	//----------------------------------

	$msg = "
	　　请选择你的后续操作：
	<a href='catalog_do.php?channelid=$channelid&cid=$typeid&dopost=addArchives'><u>继续发布</u></a>
	&nbsp;&nbsp;
	<a target= '_blank' href='archives_do.php?aid=".$infoid."&dopost=viewArchives&channelid=-2'><u>查看信息</u></a>
	&nbsp;&nbsp;
	<a href='archives_do.php?aid=".$infoid."&dopost=editArchives&channelid=-2'><u>更改信息</u></a>
	&nbsp;&nbsp;
	<a href='catalog_do.php?cid=$typeid&dopost=listArchives'><u>管理信息</u></a>
	&nbsp;&nbsp;
	<a href='catalog_main.php'><u>网站栏目管理</u></a>
	";

	$wintitle = "成功更改信息！";
	$wecome_info = "信息管理::更改信息";
	$win = new OxWindow();
	$win->AddTitle("成功更改信息：");
	$win->AddMsgItem($msg);
	$winform = $win->GetWindow("hand","&nbsp;",false);
	$win->Display();

}
?>


